# Generated by Django 3.2.14 on 2022-07-10 20:02

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Name', models.CharField(max_length=100, verbose_name='Имя')),
                ('age', models.PositiveSmallIntegerField(default=0, verbose_name='Возраст')),
                ('image', models.ImageField(blank=True, null=True, upload_to='Author/', verbose_name='Изображение')),
                ('w', models.BooleanField(default=False, verbose_name='Женщина')),
                ('m', models.BooleanField(default=False, verbose_name='Мужчина')),
            ],
        ),
        migrations.CreateModel(
            name='Record',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Название записи')),
                ('descrition', models.TextField(blank=True, max_length=100, null=True, verbose_name='Описание')),
                ('date', models.DateTimeField(blank=True, default=datetime.datetime.now, verbose_name='Дата создания записи')),
                ('Author', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='TODO.author')),
            ],
        ),
        migrations.CreateModel(
            name='Tags',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag_title', models.CharField(max_length=200, verbose_name='Название тега')),
                ('descrition_tags', models.TextField(blank=True, max_length=100, null=True, verbose_name='Описание тега')),
                ('record', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='TODO.record')),
            ],
        ),
    ]
